Post by kkk26 » Mon Jun 14, 2010 11:06 pm

I saw this when I click export.Anybody who could tell me how to slove it.

Warning: set_time_limit() has been disabled for security reasons in
/home/htdocs/admin/controller/tool/export.php on line 76

Christian Louboutin


New member

Posts

Joined
Wed Jan 06, 2010 3:35 pm


Post by kkk26 » Mon Jun 14, 2010 11:24 pm

ah
nothing happen when I click export after I removed set_time_limit() that line code.

Christian Louboutin


New member

Posts

Joined
Wed Jan 06, 2010 3:35 pm


Post by ngrodrigues » Tue Jun 15, 2010 5:19 am

Dear sirs,

I have the same problem after upgrading opencart and inport/export module from 1.7 to 1.8.

Thanks in advance by any possible help.
Best regards,
Nuno.

Newbie

Posts

Joined
Wed Jun 09, 2010 12:52 am

Post by JNeuhoff » Tue Jun 15, 2010 5:36 am

Please check your server's error_log and OpenCart's system/logs/error.txt. It should contain some hints about the nature of the error.

MHC Web Design
Override Engine * Integrated VQMod * Unused Images Manager * Instant Option Price Calculator * TrustPilot Reviews * Google Rich Snippets * Google Tag Manager * Export/Import Tool * Template Switcher PHP/Twig


User avatar
Expert Member

Posts

Joined
Wed Dec 05, 2007 3:38 am


Post by ngrodrigues » Tue Jun 15, 2010 5:58 am

I think tha the problem is because safe_mode is On for Apache.
I changed safe_mode to Off in /etc/php.ini. After that, running " <?php phpinfo(); ?>" at opencart directory, the result is:
Master Value: safe_mode=Off
Local Value: safe_mode=On

So, I think that apache is not using /etc/php.ini for opencart... At opencart base directory, I have one php.ini file that have safe_mode=Off, but the result is the same.
Any sugestion?
Thanks in advance.
Nuno.

Newbie

Posts

Joined
Wed Jun 09, 2010 12:52 am

Post by Xsecrets » Tue Jun 15, 2010 8:59 am

ngrodrigues wrote:I think tha the problem is because safe_mode is On for Apache.
I changed safe_mode to Off in /etc/php.ini. After that, running " <?php phpinfo(); ?>" at opencart directory, the result is:
Master Value: safe_mode=Off
Local Value: safe_mode=On

So, I think that apache is not using /etc/php.ini for opencart... At opencart base directory, I have one php.ini file that have safe_mode=Off, but the result is the same.
Any sugestion?
Thanks in advance.
Nuno.
you'll have to check with your host about how to change php.ini settings. some hosts only allow it through .htaccess, some use php.ini some use php4.ini or php5.ini and a few require the php.ini to be in a different folder like an etc folder under the user, and then there are some that pretty much don't allow you to change it.

OpenCart commercial mods and development http://spotonsolutions.net
Layered Navigation
Shipment Tracking
Vehicle Year/Make/Model Filter


Guru Member

Posts

Joined
Sun Oct 25, 2009 3:51 am
Location - FL US

Post by kkk26 » Tue Jun 15, 2010 5:55 pm

useless
I checked
whatever php.ini .htaccess or host value
all safe_mode=Off


Apache 2.2.15 (Unix)
PHP 5.2.13
MySQL 5.1.45
Safe mode Off
cURL Enabled
Fsocket functions Enabled
Register globals Off
PHP version 5.x
Mod_rewrite & .htaccess Enabled

headache...someone help me out...and why it didnt work after I removed that line code?

Christian Louboutin


New member

Posts

Joined
Wed Jan 06, 2010 3:35 pm


Post by Xsecrets » Tue Jun 15, 2010 8:56 pm

have you checked your error logs? Most likely you don't have pear installed.

OpenCart commercial mods and development http://spotonsolutions.net
Layered Navigation
Shipment Tracking
Vehicle Year/Make/Model Filter


Guru Member

Posts

Joined
Sun Oct 25, 2009 3:51 am
Location - FL US

Post by ngrodrigues » Wed Jun 16, 2010 5:55 am

In the mean time, I solved the problem of safe_mode. Now, when I put safe_mode=Off and click Export, the result is a blank page.
I have pear module installed. With opencart 1.4.7 and import/export for the same version, all work fine. The problem apears only with the update for version 1.4.8 of both (opencart and import/export).
With safe_mode=Off, There was no errors at System/error logs.

Best regards.
Nuno.

Newbie

Posts

Joined
Wed Jun 09, 2010 12:52 am

Post by JNeuhoff » Wed Jun 16, 2010 5:19 pm

ngrodrigues wrote:The problem apears only with the update for version 1.4.8 of both (opencart and import/export).
With safe_mode=Off, There was no errors at System/error logs.
Have you also checked your server's error_log? E.g. on Red Hat / Fedora / CentOS system you'd find it at /var/log/httpd/error_log.

MHC Web Design
Override Engine * Integrated VQMod * Unused Images Manager * Instant Option Price Calculator * TrustPilot Reviews * Google Rich Snippets * Google Tag Manager * Export/Import Tool * Template Switcher PHP/Twig


User avatar
Expert Member

Posts

Joined
Wed Dec 05, 2007 3:38 am


Post by Xsecrets » Wed Jun 16, 2010 6:53 pm

ngrodrigues wrote:In the mean time, I solved the problem of safe_mode. Now, when I put safe_mode=Off and click Export, the result is a blank page.
I have pear module installed. With opencart 1.4.7 and import/export for the same version, all work fine. The problem apears only with the update for version 1.4.8 of both (opencart and import/export).
With safe_mode=Off, There was no errors at System/error logs.

Best regards.
Nuno.
you need to check your apache error log. My guess is you'll see something about couldn't load PEAR.php I had the same issue on a server very recently. pear was installed, but for whatever reason it couldn't see it. I copied PEAR.php and OLE.php to the admin folder and everything seems to work.

OpenCart commercial mods and development http://spotonsolutions.net
Layered Navigation
Shipment Tracking
Vehicle Year/Make/Model Filter


Guru Member

Posts

Joined
Sun Oct 25, 2009 3:51 am
Location - FL US

Post by kkk26 » Wed Jun 16, 2010 8:03 pm

When using PHP >= 4.3.0, the PEAR Package Manager is already installed

I saw other guys said show following codes when they clicked that is what u guess I thought

Warning: require_once(PEAR.php) [function.require-once]: failed to open stream: No such file or directory in /var/www/store/admin/Spreadsheet/Excel/Writer.php on line 35

Fatal error: require_once() [function.require]: Failed opening required 'PEAR.php' (include_path='.:/usr/share/php:/usr/share/pear') in /var/www/store/admin/Spreadsheet/Excel/Writer.php on line 35

and somebody told me : you'll have to ask your system administrator / support to remove set_time_limit from the PHP disable_functions list. unless you own the server, you can't change that yourself.
That means host blocked set time limit
em headache
I removed these two lines code but blank when I clicked.
Who tell me how to make export works without set time limit?
ini_set("memory_limit","128M");
set_time_limit( 1800 );

Christian Louboutin


New member

Posts

Joined
Wed Jan 06, 2010 3:35 pm


Post by Xsecrets » Wed Jun 16, 2010 9:18 pm

can't find PEAR.php has absolutely nothing to do with time limit. you should put the script back the way it was and put a copy of PEAR.php and OLE.php in your admin folder. I say OLE.php, because as soon as it sees pear it will then bomb on ole unless you put it in there too.

OpenCart commercial mods and development http://spotonsolutions.net
Layered Navigation
Shipment Tracking
Vehicle Year/Make/Model Filter


Guru Member

Posts

Joined
Sun Oct 25, 2009 3:51 am
Location - FL US

Post by kkk26 » Wed Jun 16, 2010 9:52 pm

could u share me your pear.php lol...OLE.php I guess inside OLE floder right?
and pear.php is that go-pear.php etc?
anyway send me or add me
msn/email:kkk26@live.cn
thanks

Christian Louboutin


New member

Posts

Joined
Wed Jan 06, 2010 3:35 pm


Post by Xsecrets » Wed Jun 16, 2010 10:40 pm

on the system I was working on all I did was copy them from /usr/share/php which is where pear was installed. I imagine there are several different versions.

OpenCart commercial mods and development http://spotonsolutions.net
Layered Navigation
Shipment Tracking
Vehicle Year/Make/Model Filter


Guru Member

Posts

Joined
Sun Oct 25, 2009 3:51 am
Location - FL US

Post by JNeuhoff » Wed Jun 16, 2010 10:59 pm

Xsecrets wrote:on the system I was working on all I did was copy them from /usr/share/php which is where pear was installed. I imagine there are several different versions.
You shouldn't have to copy it if you were to set the PHP include_path correctly in your admin/php.ini or admin/.htaccess file.

MHC Web Design
Override Engine * Integrated VQMod * Unused Images Manager * Instant Option Price Calculator * TrustPilot Reviews * Google Rich Snippets * Google Tag Manager * Export/Import Tool * Template Switcher PHP/Twig


User avatar
Expert Member

Posts

Joined
Wed Dec 05, 2007 3:38 am


Post by Xsecrets » Wed Jun 16, 2010 11:23 pm

yes you would think that wouldn't you, but the error message even said not found in /usr/share/php and that's exactly where it was installed. Not sure why it wouldn't pick it up, but it was much quicker for me to just copy the two files than to try to figure it out.

OpenCart commercial mods and development http://spotonsolutions.net
Layered Navigation
Shipment Tracking
Vehicle Year/Make/Model Filter


Guru Member

Posts

Joined
Sun Oct 25, 2009 3:51 am
Location - FL US

Post by JNeuhoff » Wed Jun 16, 2010 11:55 pm

Xsecrets wrote:yes you would think that wouldn't you, but the error message even said not found in /usr/share/php and that's exactly where it was installed. Not sure why it wouldn't pick it up, but it was much quicker for me to just copy the two files than to try to figure it out.
If it is just these 2 files (PEAR.php and OLE.php) then perhaps we might forget about the need for a pre-installed PHP Pear library and just add the 2 files into the Export/Import package. I'll have to test it to be sure because I am not that familiar with the internal workings of the PEAR library.

MHC Web Design
Override Engine * Integrated VQMod * Unused Images Manager * Instant Option Price Calculator * TrustPilot Reviews * Google Rich Snippets * Google Tag Manager * Export/Import Tool * Template Switcher PHP/Twig


User avatar
Expert Member

Posts

Joined
Wed Dec 05, 2007 3:38 am


Post by kkk26 » Fri Jun 18, 2010 9:45 pm

JNeuhoff wrote: If it is just these 2 files (PEAR.php and OLE.php) then perhaps we might forget about the need for a pre-installed PHP Pear library and just add the 2 files into the Export/Import package. I'll have to test it to be sure because I am not that familiar with the internal workings of the PEAR library.
em...wish it could inside next version.
it really make me headache...I use remote host only coould use ftp
saw some manual ftp install methods
kind complex to understand
and include_path I cant see correct directory on interface.

Christian Louboutin


New member

Posts

Joined
Wed Jan 06, 2010 3:35 pm


Post by alimname » Sat Jun 19, 2010 7:49 pm

export / import module I installed the 1.4.8 version
gives out the data within the module, but does not receive data
Why?

thanks

www.opencartpos.com


New member

Posts

Joined
Tue Dec 29, 2009 5:51 am
Who is online

Users browsing this forum: No registered users and 2 guests